## python-glareclient 0.4.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.utils>=3.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-glareclient (0.4.1-0ubuntu3~cloud0) xenial-pike; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 23 Aug 2017 17:03:35 +0000

python-glareclient (0.4.1-0ubuntu3) artful; urgency=medium

  * d/p/skip-test.patch: Updated to include TestController.test_get_type_list.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Aug 2017 11:46:55 -0400

python-glareclient (0.4.1-0ubuntu2) artful; urgency=medium

  * d/copyright: Add all copyright owners.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 19 Aug 2017 08:23:48 -0400

python-glareclient (0.4.1-0ubuntu1) artful; urgency=medium

  * Initial release.
  * d/p/skip-test.patch: Skip TestController.test_update as
    patch_kwargs random order can cause test failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 17:25:42 -0400

=== debian/control ===
Source: python-glareclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 1.8),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.12.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-mock (>= 2.0),
                     python-os-client-config (>= 1.28.0),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 1.8),
                     python3-coverage (>= 4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking (>= 0.12.0),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-mock (>= 2.0),
                     python3-os-client-config (>= 1.28.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glareclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glareclient
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-glareclient
Architecture: all
Depends: python-babel (>= 1.8),
         python-keystoneauth1 (>= 2.18.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Suggests: python-glareclient-doc
Description: Client library for Openstack glare server - Python 2.x
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the Python 2.x module.

Package: python3-glareclient
Architecture: all
Depends: python3-babel (>= 1.8),
         python3-keystoneauth1 (>= 2.18.0),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-glareclient-doc
Description: Client library for Openstack glare server - Python 3.x
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the Python 3.x module.

Package: python-glareclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Client library for Openstack glare server - doc
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the documentation and man page.

## python-glareclient 0.5.2

=== debian/changelog ===
python-glareclient (0.5.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 15:55:54 -0500

=== debian/control ===
Source: python-glareclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.2.0),
 python-mock (>= 2.0.0),
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-oslosphinx (>= 4.7.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.9.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 1.4.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.2.0),
 python3-mock (>= 2.0.0),
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-oslosphinx (>= 4.7.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.9.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glareclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glareclient
Homepage: http://www.openstack.org/
XS-Testsuite: autopkgtest

Package: python-glareclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-keystoneauth1 (>= 3.2.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-glareclient-doc,
Description: Client library for Openstack glare server - Python 2.x
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the Python 2.x module.

Package: python-glareclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack glare server - doc
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the documentation and man page.

Package: python3-glareclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.2.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-glareclient-doc,
Description: Client library for Openstack glare server - Python 3.x
 The glare project provides services for accessing a unified catalog of
 structured meta-information as well as related binary data (these
 structures are also called 'artifacts').
 .
 This is a client for glare which uses the OpenStack Glare API. There's a
 Python API (the "glareclient" module), and a command-line script ("glare").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build doc/man

override_dh_install:
	dh_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-glareclient/usr/glareclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-glareclient-doc/usr/share/doc/python-glareclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

=== debian/tests/control ===
Tests: client
Depends: python-glareclient

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/"
http://tarballs.openstack.org/python-glareclient/ python-glareclient-(\d.*).tar.gz

## python-glareclient 0.5.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.2.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
oslo.utils>=3.31.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0

=== debian/changelog ===
python-glareclient (0.5.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:37:58 +0200

python-glareclient (0.5.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Using Python 3 to build the doc.
  * Add py3.7-compatibility.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Aug 2018 23:47:04 +0200

python-glareclient (0.5.2-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:03:32 +0100

python-glareclient (0.5.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:50:56 +0000

python-glareclient (0.5.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * copyright format URL using https.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 08:30:01 +0000

python-glareclient (0.4.2-3) unstable; urgency=medium

  * Add missing build-depends: python3-setuptools (Closes: #882478).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Nov 2017 16:58:34 +0100

python-glareclient (0.4.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Priority: optional.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:30:32 +0000

python-glareclient (0.4.2-1) experimental; urgency=medium

  * Initial release (Closes: #879527).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 17:38:58 +0000

=== debian/control ===
Source: python-glareclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.2.0),
 python-mock,
 python-os-client-config (>= 1.28.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-six,
 python-testscenarios,
 python-testtools,
 python3-babel,
 python3-fixtures,
 python3-keystoneauth1 (>= 3.2.0),
 python3-mock,
 python3-os-client-config (>= 1.28.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n(>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-oslosphinx,
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-six,
 python3-testscenarios,
 python3-testtools,
 subunit,
 tempest (>= 11.0.0),
 testrepository,
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-glareclient
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-glareclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-glareclient.git

Package: python-glareclient
Architecture: all
Depends:
 python-babel,
 python-keystoneauth1 (>= 3.2.0),
 python-osc-lib (>= 1.7.0),
 python-oslo.i18n(>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.utils (>= 3.31.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: client library for the OpenStack GLare Artifact REpository API - Python 2.7
 Glare (from GLare Artifact REpository) is a service that provides access to a
 unified catalog of structured meta-information as well as related binary data
 (these structures are also called 'artifacts').
 .
 This package contains the Python 2.7 module.

Package: python-glareclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack GLare Artifact REpository API - doc
 Glare (from GLare Artifact REpository) is a service that provides access to a
 unified catalog of structured meta-information as well as related binary data
 (these structures are also called 'artifacts').
 .
 This package contains the documentation.

Package: python3-glareclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 3.2.0),
 python3-osc-lib (>= 1.7.0),
 python3-oslo.i18n(>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.utils (>= 3.31.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack GLare Artifact REpository API - Python 3.x
 Glare (from GLare Artifact REpository) is a service that provides access to a
 unified catalog of structured meta-information as well as related binary data
 (these structures are also called 'artifacts').
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'glareclient\.tests\.unit(?!(.*v1\.test_artifacts\.TestController\.test_update.*|.*v1\.test_artifacts\.TestController\.test_get_type_list.*))'
endif

override_dh_clean:
	dh_clean
	rm -rf .testrepository build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-glareclient-doc/usr/share/doc/python-glareclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/^2012/0.0.0/" \
https://github.com/openstack/python-glareclient/tags .*/(\d[\d\.]+)\.tar\.gz
